cURL
curl -i -X GET "https://api.box.com/2.0/tasks/12345/assignments" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.task_assignments.get_task_assignments(task.id)await client.taskAssignments.getTaskAssignments(task.id!);try await client.taskAssignments.getTaskAssignments(taskId: task.id!)client.getTaskAssignments().getTaskAssignments(task.getId())await client.TaskAssignments.GetTaskAssignmentsAsync(taskId: NullableUtils.Unwrap(task.Id));{
"total_count": 100,
"entries": [
{
"id": "11446498",
"type": "task_assignment",
"item": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"assigned_to": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"message": "Please review",
"completed_at": "2012-12-12T10:53:43-08:00",
"assigned_at": "2012-12-12T10:53:43-08:00",
"reminded_at": "2012-12-12T10:53:43-08:00",
"resolution_state": "incomplete",
"assigned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
}
}
]
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}タスク割り当て
タスク割り当てのリストを取得
指定したタスクのすべての割り当てのリストを取得します。
GET
/
tasks
/
{task_id}
/
assignments
cURL
curl -i -X GET "https://api.box.com/2.0/tasks/12345/assignments" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.task_assignments.get_task_assignments(task.id)await client.taskAssignments.getTaskAssignments(task.id!);try await client.taskAssignments.getTaskAssignments(taskId: task.id!)client.getTaskAssignments().getTaskAssignments(task.getId())await client.TaskAssignments.GetTaskAssignmentsAsync(taskId: NullableUtils.Unwrap(task.Id));{
"total_count": 100,
"entries": [
{
"id": "11446498",
"type": "task_assignment",
"item": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"assigned_to": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"message": "Please review",
"completed_at": "2012-12-12T10:53:43-08:00",
"assigned_at": "2012-12-12T10:53:43-08:00",
"reminded_at": "2012-12-12T10:53:43-08:00",
"resolution_state": "incomplete",
"assigned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
}
}
]
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。「Box SDKのバージョニング戦略について詳しく学ぶ。」
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
タスクのID。
最終更新日 2026年1月23日
このページは役に立ちましたか?
⌘I
